Image
Date: 2019-10-22

org.jmol.awt

## Class Image

- java.lang.Object
- - org.jmol.awt.Image

-     class Image
      extends java.lang.Object

  methods required by Jmol that access java.awt.Image private to org.jmol.awt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.awt.image.DirectColorModel` | `rgbColorModel`
    `private static int[]` | `sampleModelBitMasks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Image()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.Object` | `allocateRgbImage(int windowWidth, int windowHeight, int[] pBuffer, int windowSize, boolean backgroundTransparent)`
    `(package private) static java.lang.Object` | `createImage(java.lang.Object data, PlatformViewer vwr)`
    `(package private) static void` | `disposeGraphics(java.lang.Object graphicForText)`
    `(package private) static int[]` | `drawImageToBuffer(java.lang.Object gOffscreen, java.lang.Object imageOffscreen, java.lang.Object imageobj, int width, int height, int bgcolor)`
    `(package private) static void` | `flush(java.lang.Object image)`
    `(package private) static java.lang.Object` | `getGraphics(java.lang.Object image)`
    `(package private) static int` | `getHeight(java.lang.Object image)`
    `static GenericImageDialog` | `getImageDialog(PlatformViewer vwr, java.lang.String title, java.util.Map<java.lang.String,GenericImageDialog> imageMap)`
    `(package private) static java.lang.Object` | `getStaticGraphics(java.lang.Object image, boolean backgroundTransparent)`
    `static int[]` | `getTextPixels(java.lang.String text, Font font3d, java.lang.Object gObj, java.lang.Object image, int width, int height, int ascent)`
    `(package private) static int` | `getWidth(java.lang.Object image)`
    `(package private) static int[]` | `grabPixels(java.lang.Object imageobj, int width, int height, int[] pixels, int startRow, int nRows)`
    `(package private) static java.lang.Object` | `newBufferedImage(int w, int h)`
    `(package private) static java.lang.Object` | `newBufferedImage(java.lang.Object image, int w, int h)`
    `(package private) static void` | `waitForDisplay(PlatformViewer vwr, java.lang.Object image)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rgbColorModel

          private static final java.awt.image.DirectColorModel rgbColorModel

    - #### sampleModelBitMasks

          private static final int[] sampleModelBitMasks

  - ### Constructor Detail

    - #### Image

          Image()

  - ### Method Detail

    - #### createImage

          static java.lang.Object createImage(java.lang.Object data,
                                              PlatformViewer vwr)

    - #### waitForDisplay

          static void waitForDisplay(PlatformViewer vwr,
                                     java.lang.Object image)
                              throws java.lang.InterruptedException

      Parameters:
        `vwr` -
        `image` -
      Throws:
        `java.lang.InterruptedException`

    - #### getWidth

          static int getWidth(java.lang.Object image)

    - #### getHeight

          static int getHeight(java.lang.Object image)

    - #### grabPixels

          static int[] grabPixels(java.lang.Object imageobj,
                                  int width,
                                  int height,
                                  int[] pixels,
                                  int startRow,
                                  int nRows)

    - #### drawImageToBuffer

          static int[] drawImageToBuffer(java.lang.Object gOffscreen,
                                         java.lang.Object imageOffscreen,
                                         java.lang.Object imageobj,
                                         int width,
                                         int height,
                                         int bgcolor)

    - #### getTextPixels

          public static int[] getTextPixels(java.lang.String text,
                                            Font font3d,
                                            java.lang.Object gObj,
                                            java.lang.Object image,
                                            int width,
                                            int height,
                                            int ascent)

    - #### newBufferedImage

          static java.lang.Object newBufferedImage(java.lang.Object image,
                                                   int w,
                                                   int h)

    - #### newBufferedImage

          static java.lang.Object newBufferedImage(int w,
                                                   int h)

    - #### allocateRgbImage

          static java.lang.Object allocateRgbImage(int windowWidth,
                                                   int windowHeight,
                                                   int[] pBuffer,
                                                   int windowSize,
                                                   boolean backgroundTransparent)

      Parameters:
        `windowWidth` -
        `windowHeight` -
        `pBuffer` -
        `windowSize` -
        `backgroundTransparent` -
      Returns:
        an Image

    - #### getStaticGraphics

          static java.lang.Object getStaticGraphics(java.lang.Object image,
                                                    boolean backgroundTransparent)

      Parameters:
        `image` -
        `backgroundTransparent` -
      Returns:
        Graphics object

    - #### getGraphics

          static java.lang.Object getGraphics(java.lang.Object image)

    - #### flush

          static void flush(java.lang.Object image)

    - #### disposeGraphics

          static void disposeGraphics(java.lang.Object graphicForText)

    - #### getImageDialog

          public static GenericImageDialog getImageDialog(PlatformViewer vwr,
                                                          java.lang.String title,
                                                          java.util.Map<java.lang.String,GenericImageDialog> imageMap)